> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Registered Agents

> Lists all registered agents.

Query Parameters:
    include: List of additional scopes to include. Supported values:
        - 'global': Include agents from global workspace along with the specified workspace



## OpenAPI

````yaml get /v1/orchestrate/agents
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents:
    get:
      tags:
        - Agents
      summary: List Registered Agents
      description: |-
        Lists all registered agents.

        Query Parameters:
            include: List of additional scopes to include. Supported values:
                - 'global': Include agents from global workspace along with the specified workspace
      operationId: List_registered_agents__v1_orchestrate_agents_get
      parameters:
        - name: show_bundled
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Show Bundled
        - name: include_hidden
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Hidden
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
            title: Ids
        - name: names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Names
        - name: workspace_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              Filter agents by workspace ID. If not provided, returns agents
              from global workspace (workspace_id is null)
            default: 00000000-0000-0000-0000-000000000001
            title: Workspace Id
          description: >-
            Filter agents by workspace ID. If not provided, returns agents from
            global workspace (workspace_id is null)
        - name: include
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Include additional workspace scopes. Use 'global' to include
              global workspace agents along with workspace-specific agents
            title: Include
          description: >-
            Include additional workspace scopes. Use 'global' to include global
            workspace agents along with workspace-specific agents
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: array
                    items:
                      $ref: '#/components/schemas/ListAgent'
                  - type: array
                    items:
                      $ref: '#/components/schemas/ListAgentVersion'
                title: Response List Registered Agents  V1 Orchestrate Agents Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListAgent:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the agent
        tenant_id:
          type: string
          title: Tenant Id
          description: ID of the tenant that owns this agent
        workspace_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workspace Id
          description: ID of the workspace that owns this agent
          default: 00000000-0000-0000-0000-000000000001
        name:
          type: string
          title: Name
          description: Name of the agent
        description:
          type: string
          title: Description
          description: Description of what the agent does
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: Instructions for the agent
        tools:
          items:
            type: string
          type: array
          title: Tools
          description: List of tool names available to the agent
        collaborators:
          items:
            type: string
          type: array
          title: Collaborators
          description: List of other agent names this agent can collaborate with
        knowledge_base:
          items:
            type: string
          type: array
          title: Knowledge Base
          default: []
        llm:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm
          description: LLM identifier for the agent
        style:
          $ref: '#/components/schemas/AgentStyle'
          description: Style of the agent
        supported_apps:
          anyOf:
            - items:
                $ref: '#/components/schemas/SupportedApp'
              type: array
            - type: 'null'
          title: Supported Apps
          description: Supported apps of the agent
        created_by:
          type: string
          title: Created By
          description: ID of the user who created the agent
        created_on:
          type: string
          format: date-time
          title: Created On
          description: Creation timestamp
        updated_by:
          type: string
          title: Updated By
          description: ID of the user who updated the agent
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        deleted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted By
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        environments:
          items:
            $ref: '#/components/schemas/EnvironmentSchema'
          type: array
          title: Environments
          description: List of simplified environments associated with the agent
          default: []
        agent_mapping:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Agent Mapping
        hidden:
          type: boolean
          title: Hidden
          description: To show or hide agent when agents are listed
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: Display name of the agent
        structured_output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structured Output
          description: JSON schema defining the structure for agent responses
        custom_join_tool:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Join Tool
          description: >-
            Reference to a Python tool that will be used for custom synthesis of
            task results
        guidelines:
          items:
            $ref: '#/components/schemas/Guideline'
          type: array
          title: Guidelines
          description: List of guidelines for the agent behavior
          default: []
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: List of tags associated to agent
          default: []
        chat_with_docs:
          $ref: '#/components/schemas/ChatWithDocsConfig'
          description: Chat with Documents config for Agent
        voice_configuration_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Voice Configuration Id
          description: Voice configuration for the agent
        voice_webhook_connections:
          anyOf:
            - additionalProperties:
                items:
                  $ref: '#/components/schemas/VoiceWebhookConnection'
                type: array
              type: object
            - type: 'null'
          title: Voice Webhook Connections
          description: Voice webhook connections organized by environment (draft/live)
        additional_properties:
          anyOf:
            - $ref: '#/components/schemas/AgentAdditionalProperties'
            - type: 'null'
          description: Agent Additional Settings
        context_access_enabled:
          type: boolean
          title: Context Access Enabled
          description: Enable access to context variables for this agent
          default: true
        connection_ids:
          items:
            type: string
          type: array
          title: Connection Ids
          description: List of connection IDs for direct agent-to-connection bindings
          default: []
        context_variables:
          items:
            type: string
          type: array
          title: Context Variables
          description: List of context variable names that this agent can access
          default: []
        hide_reasoning:
          type: boolean
          title: Hide Reasoning
          description: Enable/disable reasoning trace
          default: false
        sync_tool_flow_interactions:
          type: boolean
          title: Sync Tool Flow Interactions
          description: Enable/disable syncing user interactions from tool flow to the agent
          default: true
        restrictions:
          type: string
          title: Restrictions
          description: Enable editable for the colloborator agent
          default: editable
        bundled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Bundled
          description: Catalog Agent bundled flag
          default: false
        bundled_agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Bundled Agent Id
          description: Base agent id
        llm_config:
          anyOf:
            - $ref: '#/components/schemas/ModelConfig'
            - type: 'null'
        plugins:
          anyOf:
            - $ref: '#/components/schemas/Plugins'
            - type: 'null'
          description: Plugins and hook points associated to the agents
        toolkits:
          items:
            type: string
          type: array
          title: Toolkits
          description: List of toolkit ids available to the agent
        memory_enabled:
          type: boolean
          title: Memory Enabled
          description: Enable/disable agentic memory for this agent
          default: false
        is_schedulable:
          type: boolean
          title: Is Schedulable
          description: Indicates whether this agent can be scheduled for tasks
          default: false
        custom_agents_metadata:
          anyOf:
            - $ref: '#/components/schemas/CustomAgentsMetadata'
            - type: 'null'
          description: Metadata for custom agents
        deleted_semantic_versions:
          items:
            type: string
          type: array
          title: Deleted Semantic Versions
          description: Track deleted semantic versions to prevent reuse (V2 API)
          default: []
      type: object
      required:
        - id
        - tenant_id
        - name
        - description
        - style
        - created_by
        - created_on
        - updated_by
        - updated_at
      title: ListAgent
      description: Schema for fetching agent.
    ListAgentVersion:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the agent
        tenant_id:
          type: string
          title: Tenant Id
          description: ID of the tenant that owns this agent
        name:
          type: string
          title: Name
          description: Name of the agent
        description:
          type: string
          title: Description
          description: Description of what the agent does
        version_label:
          type: integer
          title: Version Label
          description: Version of the deployed agent
        semantic_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Semantic Version
          description: Semantic version (e.g., 1.2.0)
        version_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Name
          description: Human-readable version name
        version_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Description
          description: Description of changes in this version
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: Instructions for the agent
        tools:
          items:
            anyOf:
              - type: string
              - additionalProperties: true
                type: object
          type: array
          title: Tools
          description: List of tool names available to the agent
        collaborators:
          items:
            anyOf:
              - type: string
              - additionalProperties: true
                type: object
          type: array
          title: Collaborators
          description: List of other agent names this agent can collaborate with
        llm:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm
          description: LLM identifier for the agent
        style:
          $ref: '#/components/schemas/AgentStyle'
          description: Style of the agent
        supported_apps:
          anyOf:
            - items:
                $ref: '#/components/schemas/SupportedApp'
              type: array
            - type: 'null'
          title: Supported Apps
          description: Supported apps of the agent
        points_to:
          items:
            type: string
            format: uuid
          type: array
          title: Points To
          description: Environment IDs points to this version
          default: []
        comments:
          anyOf:
            - type: string
            - type: 'null'
          title: Comments
          description: Comments added by the user while deploying an agent
        mapped_environments:
          anyOf:
            - items:
                $ref: '#/components/schemas/EnvironmentSchema'
              type: array
            - type: 'null'
          title: Mapped Environments
          description: List of Environments points to the agent version
          default: []
        created_by:
          type: string
          title: Created By
          description: ID of the user who created the agent
        created_on:
          type: string
          format: date-time
          title: Created On
          description: Creation timestamp
        updated_by:
          type: string
          title: Updated By
          description: ID of the user who updated the agent
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        deleted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted By
        hidden:
          type: boolean
          title: Hidden
          description: To show or hide agent when agents are listed
          default: false
        environments:
          items:
            $ref: '#/components/schemas/EnvironmentSchema'
          type: array
          title: Environments
          description: List of simplified environments associated with the agent
          default: []
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        knowledge_base:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Knowledge Base
          description: List of knowledge_base available to the agent
          default: []
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: Display name of the agent
        structured_output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structured Output
          description: JSON schema defining the structure for agent responses
        guidelines:
          items:
            $ref: '#/components/schemas/Guideline'
          type: array
          title: Guidelines
          description: List of guidelines for the agent behavior
          default: []
        custom_join_tool:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Join Tool
          description: >-
            Reference to a Python tool ID that will be used for custom synthesis
            of task results
          default: {}
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: List of tags associated to agent
          default: []
        voice_configuration_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Voice Configuration Id
          description: Voice configuration for the agent
        deployment_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Status
          description: 'V1 API: Single deployment status for backward compatibility'
        deployment_statuses:
          anyOf:
            - additionalProperties:
                additionalProperties: true
                type: object
              type: object
            - type: 'null'
          title: Deployment Statuses
          description: 'V2 API: Per-environment deployment statuses {env_id: status}'
        chat_with_docs:
          $ref: '#/components/schemas/ChatWithDocsConfig'
          description: Chat with Documents config for Agent
        connection_ids:
          items:
            type: string
          type: array
          title: Connection Ids
          description: List of connection IDs for direct agent-to-connection bindings
          default: []
        additional_properties:
          anyOf:
            - $ref: '#/components/schemas/AgentAdditionalProperties'
            - type: 'null'
          description: Agent Additional Settings
        context_access_enabled:
          type: boolean
          title: Context Access Enabled
          description: Enable access to context variables for this agent
          default: true
        context_variables:
          items:
            type: string
          type: array
          title: Context Variables
          description: List of context variable names that this agent can access
          default: []
        hide_reasoning:
          type: boolean
          title: Hide Reasoning
          description: Enable/disable reasoning trace
          default: false
        llm_config:
          anyOf:
            - $ref: '#/components/schemas/ModelConfig'
            - type: 'null'
        plugins:
          anyOf:
            - $ref: '#/components/schemas/Plugins'
            - type: 'null'
          description: Plugins and hook points associated to the agent
        sync_tool_flow_interactions:
          type: boolean
          title: Sync Tool Flow Interactions
          description: Enable/disable syncing user interactions from tool flow to the agent
          default: true
        toolkits:
          items:
            anyOf:
              - type: string
              - additionalProperties: true
                type: object
          type: array
          title: Toolkits
          description: List of toolkits available to the agent
        memory_enabled:
          type: boolean
          title: Memory Enabled
          description: Enable/disable agentic memory for this agent
          default: false
      type: object
      required:
        - id
        - tenant_id
        - name
        - description
        - version_label
        - style
        - created_by
        - created_on
        - updated_by
        - updated_at
      title: ListAgentVersion
      description: Schema for fetching list of agent version.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentStyle:
      type: string
      enum:
        - default
        - react
        - planner
        - custom
        - react_intrinsic
        - experimental_customer_care
        - code_act
      title: AgentStyle
    SupportedApp:
      type: string
      enum:
        - slack/askhr
      title: SupportedApp
    EnvironmentSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the environment
        name:
          type: string
          title: Name
          description: Name of the environment
        current_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
          description: current_version
        voice:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Voice
          description: Voice configuration for the environment
        enable_wxg_integration:
          anyOf:
            - type: string
            - type: 'null'
          title: Enable Wxg Integration
          description: Flag to enable/disable wxg integration
          default: inactive
        wxg_metrics_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Wxg Metrics Url
          description: URL to watsonx.governance metrics dashboard for this agent
          default: ''
      type: object
      required:
        - id
        - name
      title: EnvironmentSchema
      description: Schema for simplified environment within an agent.
    Guideline:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: Display name of the guideline
        condition:
          type: string
          title: Condition
          description: Condition when the guideline should be applied
        action:
          type: string
          title: Action
          description: Action to take when the condition is met
        tool:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool
          description: The tool id use for this guideline
      type: object
      required:
        - condition
        - action
      title: Guideline
      description: Schema for an agent guideline.
    ChatWithDocsConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          description: >-
            Controls if the Chat with Documents feature is enabled for this
            agent
          default: false
        supports_full_document:
          type: boolean
          title: Supports Full Document
          description: >-
            Controls if the Agent can request to use the full document. Only
            used if generation.enabled = false
          default: true
        vector_index:
          $ref: '#/components/schemas/KnowledgeBaseBuiltInVectorIndexConfig'
        generation:
          $ref: '#/components/schemas/GenerationConfiguration'
        query_rewrite:
          $ref: '#/components/schemas/QueryRewriteConfig'
        confidence_thresholds:
          $ref: '#/components/schemas/ConfidenceThresholds'
        citations:
          $ref: '#/components/schemas/CitationsConfig'
        hap_filtering:
          $ref: '#/components/schemas/HAPFiltering'
        query_source:
          $ref: '#/components/schemas/QuerySource'
          default: Agent
        agent_query_description:
          type: string
          title: Agent Query Description
          default: The query to search for in the knowledge base
      type: object
      title: ChatWithDocsConfig
    VoiceWebhookConnection:
      properties:
        connection_id:
          type: string
          format: uuid
          title: Connection Id
        webhook_type:
          $ref: '#/components/schemas/VoiceWebhookTypeEnum'
      type: object
      required:
        - connection_id
        - webhook_type
      title: VoiceWebhookConnection
    AgentAdditionalProperties:
      properties:
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: xml strings or encoded base64 image data
        starter_prompts:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Starter Prompts
          description: Agent Starter Prompts (nested by language)
        welcome_content:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Welcome Content
          description: Agent Welcome Message (nested by language)
        context_settings:
          anyOf:
            - $ref: '#/components/schemas/ContextSettings'
            - type: 'null'
          description: Context management settings
        realtime_agent_settings:
          anyOf:
            - $ref: '#/components/schemas/RealtimeAgentSettings'
            - type: 'null'
          description: Realtime Agent Settings
      type: object
      title: AgentAdditionalProperties
      description: |-
        A specification for settings within an agent.

        This schema is used for OUTPUT (reading from database).
        Database stores nested format: {"en": [...], "es": [...]}
        Using Dict[str, Any] preserves the nested language structure.
    ModelConfig:
      properties:
        decoding_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Decoding Method
        prompt:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Prompt
        max_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Tokens
        max_completion_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Completion Tokens
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Top P
        'n':
          anyOf:
            - type: integer
            - type: 'null'
          title: 'N'
        stream:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Stream
        logprobs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Logprobs
        top_logprobs:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Top Logprobs
        echo:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Echo
        stop:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stop
        presence_penalty:
          anyOf:
            - type: number
            - type: 'null'
          title: Presence Penalty
        frequency_penalty:
          anyOf:
            - type: number
            - type: 'null'
          title: Frequency Penalty
        best_of:
          anyOf:
            - type: integer
            - type: 'null'
          title: Best Of
        logit_bias:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Logit Bias
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
        context:
          anyOf:
            - type: string
            - type: 'null'
          title: Context
        examples:
          anyOf:
            - items:
                $ref: '#/components/schemas/Examples'
              type: array
            - type: 'null'
          title: Examples
        top_k:
          anyOf:
            - type: integer
            - type: 'null'
          title: Top K
        response_format:
          anyOf:
            - $ref: '#/components/schemas/ResponseFormat'
            - type: 'null'
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
        store:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Store
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        modalities:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Modalities
        audio:
          anyOf:
            - $ref: '#/components/schemas/AudioConfig'
            - type: 'null'
        service_tier:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Tier
        prediction:
          anyOf:
            - $ref: '#/components/schemas/Prediction'
            - type: 'null'
        safety_settings:
          anyOf:
            - {}
            - type: 'null'
          title: Safety Settings
        anthropic_beta:
          anyOf:
            - type: string
            - type: 'null'
          title: Anthropic Beta
        anthropic_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Anthropic Version
        thinking:
          anyOf:
            - $ref: '#/components/schemas/Thinking'
            - type: 'null'
        space_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Space Id
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        reasoning_effort:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Effort
        parallel_tool_calls:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Parallel Tool Calls
        disable_parallel_tool_use:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Disable Parallel Tool Use
        disable_tool_validation:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Disable Tool Validation
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        thinking_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Thinking Level
      additionalProperties: false
      type: object
      title: ModelConfig
    Plugins:
      properties:
        agent_pre_invoke:
          anyOf:
            - items:
                $ref: '#/components/schemas/Plugin'
              type: array
            - type: 'null'
          title: Agent Pre Invoke
          description: Plugins to the invoke before agent
        agent_post_invoke:
          anyOf:
            - items:
                $ref: '#/components/schemas/Plugin'
              type: array
            - type: 'null'
          title: Agent Post Invoke
          description: Plugins to the invoke after agent
      type: object
      title: Plugins
    CustomAgentsMetadata:
      properties:
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: Programming language (e.g., 'Python', 'TypeScript')
        framework:
          anyOf:
            - type: string
            - type: 'null'
          title: Framework
          description: Framework used (e.g., 'LangGraph')
        tool_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tool Count
          description: Number of tools included in the agent
        tool_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tool Names
          description: Names of tools included in the agent
        connection_requirements:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ConnectionRequirement'
              type: object
            - type: 'null'
          title: Connection Requirements
          description: >-
            Dictionary of required connections for the agent, mapping tool names
            to connection requirements and global requirements
      type: object
      title: CustomAgentsMetadata
      description: Metadata for custom agents extracted from uploaded packages.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    KnowledgeBaseBuiltInVectorIndexConfig:
      properties:
        embeddings_model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Embeddings Model Name
        chunk_size:
          type: integer
          title: Chunk Size
          default: 400
        chunk_overlap:
          type: integer
          title: Chunk Overlap
          default: 50
        limit:
          type: integer
          title: Limit
          default: 10
        extraction_strategy:
          $ref: '#/components/schemas/ExtractionStrategy'
          default: standard
      type: object
      title: KnowledgeBaseBuiltInVectorIndexConfig
    GenerationConfiguration:
      properties:
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        prompt_instruction:
          type: string
          title: Prompt Instruction
          default: ''
        max_docs_passed_to_llm:
          type: integer
          title: Max Docs Passed To Llm
          default: 5
        generated_response_length:
          $ref: '#/components/schemas/GeneratedResponseLength'
          default: Moderate
        display_text_no_results_found:
          type: string
          title: Display Text No Results Found
          default: >-
            I searched my knowledge base, but did not find anything related to
            your query
        display_text_connectivity_issue:
          type: string
          title: Display Text Connectivity Issue
          default: >-
            I might have information related to your query to share, but am
            unable to connect to my knowledge base at the moment
        idk_message:
          type: string
          title: Idk Message
          default: I'm afraid I don't understand. Please rephrase your question.
        enabled:
          type: boolean
          title: Enabled
          default: false
      type: object
      title: GenerationConfiguration
      description: |-
        example
        {
            "model_id": "meta-llama/llama-3-1-70b-instruct",
            "prompt_instruction": "When the documents are in different languages, you should respond in english.",
            "max_docs_passed_to_llm": 5,
            "retrieval_confidence_threshold": "Lowest",
            "generated_response_length": "Moderate",
            "response_confidence_threshold": "Low",
            "display_text_no_results_found": "no docs found",
            "display_text_connectivity_issue": "conn failed",
        }
    QueryRewriteConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: true
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
      type: object
      title: QueryRewriteConfig
      description: |-
        example

        {
            "enabled": True,
            "model_id": "meta-llama/llama-3-1-70b-instruct"
        }
    ConfidenceThresholds:
      properties:
        retrieval_confidence_threshold:
          $ref: '#/components/schemas/RetrievalConfidenceThreshold'
          default: Lowest
        response_confidence_threshold:
          $ref: '#/components/schemas/ResponseConfidenceThreshold'
          default: Lowest
      type: object
      title: ConfidenceThresholds
    CitationsConfig:
      properties:
        citation_title:
          type: string
          title: Citation Title
          default: How do we know?
        citations_shown:
          type: integer
          title: Citations Shown
          default: -1
      type: object
      title: CitationsConfig
      description: |-
        example:
        {
            "citation_title": "how do i know",
            "citations_shown": 5,
        }
    HAPFiltering:
      properties:
        output:
          $ref: '#/components/schemas/HAPFilteringConfig'
      type: object
      title: HAPFiltering
      description: |-
        example
        {
            "output": {
                "enabled": True,
                "threshold": 0.7,
            }
        }
    QuerySource:
      type: string
      enum:
        - SessionHistory
        - Agent
      title: QuerySource
    VoiceWebhookTypeEnum:
      type: string
      enum:
        - call_detail_record
        - audio_file
        - audio_stream
      title: VoiceWebhookTypeEnum
      description: Enum for voice webhook types.
    ContextSettings:
      properties:
        context_compaction_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Context Compaction Enabled
          description: Enable context compaction
        context_compaction_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Context Compaction Threshold
          description: Token threshold for context compaction
        compaction_sliding_window:
          anyOf:
            - type: integer
            - type: 'null'
          title: Compaction Sliding Window
          description: Sliding window size for compaction
        large_message_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Large Message Threshold
          description: Token threshold for large message handling
        large_message_chunk_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Large Message Chunk Size
          description: Chunk size for large message processing
        large_message_target_summary:
          anyOf:
            - type: integer
            - type: 'null'
          title: Large Message Target Summary
          description: Target summary size for large messages
        large_message_detect_structured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Large Message Detect Structured
          description: Enable structured data detection
      type: object
      title: ContextSettings
      description: Context management settings for an agent.
    RealtimeAgentSettings:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          description: Whether the realtime agent is enabled
      type: object
      title: RealtimeAgentSettings
      description: Base model for realtime agent settings
    Examples:
      properties:
        input:
          title: Input
        output:
          title: Output
      type: object
      required:
        - input
        - output
      title: Examples
    ResponseFormat:
      properties:
        type:
          type: string
          title: Type
        json_schema:
          anyOf:
            - {}
            - type: 'null'
          title: Json Schema
      type: object
      required:
        - type
      title: ResponseFormat
    AudioConfig:
      properties:
        voice:
          type: string
          title: Voice
        format:
          type: string
          title: Format
      type: object
      required:
        - voice
        - format
      title: AudioConfig
    Prediction:
      properties:
        type:
          type: string
          title: Type
        content:
          anyOf:
            - items:
                $ref: '#/components/schemas/PredictionContent'
              type: array
            - type: string
          title: Content
      type: object
      required:
        - type
        - content
      title: Prediction
    Thinking:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        budget_tokens:
          type: integer
          title: Budget Tokens
      type: object
      required:
        - budget_tokens
      title: Thinking
    Plugin:
      properties:
        plugin_id:
          type: string
          title: Plugin Id
          description: Plugins to the invoke before agent
      type: object
      title: Plugin
    ConnectionRequirement:
      properties:
        required_app_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required App Ids
          description: App IDs required by the agent (all must be present)
      type: object
      title: ConnectionRequirement
      description: A specification for a custom agent connection requirement.
    ExtractionStrategy:
      type: string
      enum:
        - express
        - standard
        - high_quality
      title: ExtractionStrategy
    GeneratedResponseLength:
      type: string
      enum:
        - Concise
        - Moderate
        - Verbose
      title: GeneratedResponseLength
    RetrievalConfidenceThreshold:
      type: string
      enum:
        - 'Off'
        - Lowest
        - Low
        - High
        - Highest
      title: RetrievalConfidenceThreshold
    ResponseConfidenceThreshold:
      type: string
      enum:
        - 'Off'
        - Lowest
        - Low
        - High
        - Highest
      title: ResponseConfidenceThreshold
    HAPFilteringConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        threshold:
          type: number
          title: Threshold
          default: 0.5
      type: object
      title: HAPFilteringConfig
    PredictionContent:
      properties:
        type:
          type: string
          title: Type
        text:
          type: string
          title: Text
      type: object
      required:
        - type
        - text
      title: PredictionContent
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````